Package org.apache.velocity.context

# Interface InternalWrapperContext

All Known Subinterfaces:
  `InternalContextAdapter`

All Known Implementing Classes:
  `ChainedInternalContextAdapter`, `InternalContextAdapterImpl`

public interface InternalWrapperContext
interface for internal context wrapping functionality

Version:
  $Id$
Author:
  Geir Magnusson Jr.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`containsKey(String key)`
Tests if the key exists in the specified scope
`Object`
`get(String key)`
Retrieve the specified valuefrom the given key.
`InternalContextAdapter`
`getBaseContext()`
Returns the base full context impl.
`Context`
`getInternalUserContext()`
Returns the wrapped user context.
`Object`
`put(String key, Object value)`
Place a key value pair into the context.

## Method Details

### getInternalUserContext

Context getInternalUserContext()
Returns the wrapped user context.

Returns:
  The wrapped user context.

### getBaseContext

InternalContextAdapter getBaseContext()
Returns the base full context impl.

Returns:
  The base full context impl.

### put

Object put(String key, Object value)
Place a key value pair into the context.

Parameters:
  `key` -
  `value` -
Returns:
  previous value

### get

Object get(String key)
Retrieve the specified valuefrom the given key.

Parameters:
  `key` -
Returns:
  found value

### containsKey

boolean containsKey(String key)
Tests if the key exists in the specified scope

Parameters:
  `key` -
Returns:
  true if key exists